## -*-fundamental-*-
##
## $Id: Makefile.m4,v 1.2 2001/04/29 18:11:20 mdw Exp $
##
## Build test vector files
##
## (c) 2000 Straylight/Edgeware
##

##----- Licensing notice ----------------------------------------------------
##
## This file is part of Catacomb.
##
## Catacomb is free software; you can redistribute it and/or modify
## it under the terms of the GNU Library General Public License as
## published by the Free Software Foundation; either version 2 of the
## License, or (at your option) any later version.
## 
## Catacomb is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU Library General Public License for more details.
## 
## You should have received a copy of the GNU Library General Public
## License along with Catacomb; if not, write to the Free
## Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
## MA 02111-1307, USA.

##----- Revision history ----------------------------------------------------
##
## $Log: Makefile.m4,v $
## Revision 1.2  2001/04/29 18:11:20  mdw
## New block cipher MARS.
##
## Revision 1.1  2000/06/17 12:12:20  mdw
## Build mLib test vector files from the AES files.
##

AUTOMAKE_OPTIONS = foreign

## --- Building test rigs ---

define(`aestests', `dnl
_(`cast256', `CAST256')`'dnl
_(`serpent', `Serpent', `-v rev=1')`'dnl
_(`twofish', `Twofish')`'dnl
_(`rijndael', `Rijndael')`'dnl
_(`mars', `MARS')`'dnl
')

all: Makefile define(`_', ` $(srcdir)/$1')aestests

define(`_', `dnl
$(srcdir)/$1: $(srcdir)/$1.aes
	cd $(srcdir); ./aes-trans $2 $3 <$1.aes >$1
')
aestests

MAINTAINERCLEANFILES = define(`_', ` $(srcdir)/$1')aestests

## --- Building the Makefile ---

$(srcdir)/Makefile.am: $(srcdir)/Makefile.m4
	cd $(srcdir); m4 Makefile.m4 >Makefile.am

##----- That's all, folks ---------------------------------------------------
